## ESourceConfig ESourceConfig |

## Functions

GtkWidget * | e_source_config_new ()
void | e_source_config_insert_widget ()
GtkWidget * | e_source_config_get_page ()
const gchar * | e_source_config_get_backend_extension_name ()
GList * | e_source_config_list_eligible_collections ()
gboolean | e_source_config_check_complete ()
ESource * | e_source_config_get_original_source ()
ESource * | e_source_config_get_collection_source ()
ESourceRegistry * | e_source_config_get_registry ()
void | e_source_config_resize_window ()
void | e_source_config_commit ()
gboolean | e_source_config_commit_finish ()
void | e_source_config_add_refresh_interval ()
void | e_source_config_add_secure_connection ()
void | e_source_config_add_secure_connection_for_webdav ()
GtkWidget * | e_source_config_add_user_entry ()

## Properties

ESource * | collection-source | Read
gboolean | complete | Read
ESource * | original-source | Read / Write / Construct Only
ESourceRegistry * | registry | Read / Write / Construct Only

## Signals

gboolean | check-complete | Run Last
void | commit-changes | Run Last
void | init-candidate | Run Last
void | resize-window | Run Last

## Types and Values

struct | ESourceConfig

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── ESourceConfig
                            ├── EBookSourceConfig
                            ╰── ECalSourceConfig

## Implemented Interfaces

ESourceConfig implements AtkImplementorIface, GtkBuildable, GtkOrientable and EExtensible.

## Description

## Functions

### e_source_config_new ()

    GtkWidget *
    e_source_config_new (ESourceRegistry *registry,
                         ESource *original_source);

### e_source_config_insert_widget ()

    void
    e_source_config_insert_widget (ESourceConfig *config,
                                   ESource *scratch_source,
                                   const gchar *caption,
                                   GtkWidget *widget);

### e_source_config_get_page ()

    GtkWidget *
    e_source_config_get_page (ESourceConfig *config,
                              ESource *scratch_source);

### e_source_config_get_backend_extension_name ()

    const gchar *
    e_source_config_get_backend_extension_name
                                   (ESourceConfig *config);

### e_source_config_list_eligible_collections ()

    GList *
    e_source_config_list_eligible_collections
                                   (ESourceConfig *config);

### e_source_config_check_complete ()

    gboolean
    e_source_config_check_complete (ESourceConfig *config);

### e_source_config_get_original_source ()

    ESource *
    e_source_config_get_original_source (ESourceConfig *config);

### e_source_config_get_collection_source ()

    ESource *
    e_source_config_get_collection_source (ESourceConfig *config);

### e_source_config_get_registry ()

    ESourceRegistry *
    e_source_config_get_registry (ESourceConfig *config);

### e_source_config_resize_window ()

    void
    e_source_config_resize_window (ESourceConfig *config);

### e_source_config_commit ()

    void
    e_source_config_commit (ESourceConfig *config,
                            GCancellable *cancellable,
                            GAsyncReadyCallback callback,
                            gpointer user_data);

### e_source_config_commit_finish ()

    gboolean
    e_source_config_commit_finish (ESourceConfig *config,
                                   GAsyncResult *result,
                                   GError **error);

### e_source_config_add_refresh_interval ()

    void
    e_source_config_add_refresh_interval (ESourceConfig *config,
                                          ESource *scratch_source);

### e_source_config_add_secure_connection ()

    void
    e_source_config_add_secure_connection (ESourceConfig *config,
                                           ESource *scratch_source);

### e_source_config_add_secure_connection_for_webdav ()

    void
    e_source_config_add_secure_connection_for_webdav
                                   (ESourceConfig *config,
                                    ESource *scratch_source);

### e_source_config_add_user_entry ()

    GtkWidget *
    e_source_config_add_user_entry (ESourceConfig *config,
                                    ESource *scratch_source);

## Types and Values

### struct ESourceConfig

    struct ESourceConfig;

## Property Details

### The `“collection-source”` property

      “collection-source”        ESource *

The collection ESource to which the ESource being edited belongs.

Flags: Read

### The `“complete”` property

      “complete”                 gboolean

Are the required fields complete?.

Flags: Read

Default value: FALSE

### The `“original-source”` property

      “original-source”          ESource *

The original ESource.

Flags: Read / Write / Construct Only

### The `“registry”` property

      “registry”                 ESourceRegistry *

Registry of ESources.

Flags: Read / Write / Construct Only

## Signal Details

### The `“check-complete”` signal

    gboolean
    user_function (ESourceConfig *esourceconfig,
                   ESource       *arg1,
                   gpointer       user_data)

Flags: Run Last

### The `“commit-changes”` signal

    void
    user_function (ESourceConfig *esourceconfig,
                   ESource       *arg1,
                   gpointer       user_data)

Flags: Run Last

### The `“init-candidate”` signal

    void
    user_function (ESourceConfig *esourceconfig,
                   ESource       *arg1,
                   gpointer       user_data)

Flags: Run Last

### The `“resize-window”` signal

    void
    user_function (ESourceConfig *esourceconfig,
                   gpointer       user_data)

Flags: Run Last